# Awesome OSINT [![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)

[<img src="https://github.com/jivoi/awesome-osint/raw/master/osint_logo.png" align="right" width="100">](https://github.com/jivoi/awesome-osint)

A curated list of amazingly awesome open source intelligence tools and resources.
[Open-source intelligence (OSINT)](https://en.wikipedia.org/wiki/Open-source_intelligence) is intelligence collected from publicly available sources.
In the intelligence community (IC), the term "open" refers to overt, publicly available sources (as opposed to covert or clandestine sources). 

This list is to help all of those who are into Cyber Threat Intellience (CTI), threat hunting, or OSINT. From beginners to advanced. 

Happy hacking and hunting 🧙‍♂️

## 📖 Table of Contents

 - [General Search](#-general-search)
 - [Main National Search Engines](#-main-national-search-engines)
 - [Meta Search](#-meta-search)
 - [Specialty Search Engines](#-specialty-search-engines)
 - [Visual Search and Clustering Search Engines](#-visual-search-and-clustering-search-engines)
 - [Similar Sites Search](#-similar-sites-search)
 - [Document and Slides Search](#-document-and-slides-search)
 - [File Search](#-file-search)
 - [Pastebins](#-pastebins)
 - [Code Search](#-code-search)
 - [Major Social Networks](#-major-social-networks)
 - [Real-Time Search, Social Media Search, and General Social Media Tools](#-real-time-search-social-media-search-and-general-social-media-tools)
 - [Social Media Tools](#social-media-tools)
   - [Twitter](#-twitter)
   - [Facebook](#-facebook)
   - [Instagram](#-instagram)
   - [Pinterest](#-pinterest)
   - [Reddit](#-reddit)
   - [VKontakte](#-vkontakte)
   - [Tumblr](#-tumblr)
   - [LinkedIn](#-linkedin)
   - [Telegram](#-telegram)
   - [Steam](#-steam)
 - [Blog Search](#-blog-search)
 - [Forums and Discussion Boards Search](#-forums-and-discussion-boards-search)
 - [Username Check](#-username-check)
 - [People Investigations](#-people-investigations)
 - [Email Search / Email Check](#-email-search--email-check)
 - [Phone Number Research](#-phone-number-research)
-  [Vehicle / Automobile Research](#-vehicle--automobile-research)
 - [Expert Search](#-expert-search)
 - [Company Research](#-company-research)
 - [Job Search Resources](#-job-search-resources)
 - [Q&A Sites](#-qa-sites)
 - [Domain and IP Research](#-domain-and-ip-research)
 - [Keywords Discovery and Research](#-keywords-discovery-and-research)
 - [Web History and Website Capture](#-web-history-and-website-capture)
 - [Language Tools](#-language-tools)
 - [Image Search](#-image-search)
 - [Image Analysis](#-image-analysis)
 - [Video Search and Other Video Tools](#-video-search-and-other-video-tools)
 - [Academic Resources and Grey Literature](#-academic-resources-and-grey-literature)
 - [Geospatial Research and Mapping Tools](#-geospatial-research-and-mapping-tools)
 - [News](#-news)
 - [News Digest and Discovery Tools](#-news-digest-and-discovery-tools)
 - [Fact Checking](#-fact-checking)
 - [Data and Statistics](#-data-and-statistics)
 - [Web Monitoring](#-web-monitoring)
 - [Browsers](#-browsers)
 - [Offline Browsing](#-offline-browsing)
 - [VPN Services](#-vpn-services)
 - [Infographics and Data Visualization](#-infographics-and-data-visualization)
 - [Social Network Analysis](#-social-network-analysis)
 - [Privacy and Encryption Tools](#-privacy-and-encryption-tools)
 - [DNS](#-dns)
 - [Maritime](#-maritime)
 - [Other Tools](#-other-tools)
 - [Threat Intelligence](#-threat-intelligence)
 - [OSINT Videos](#-osint-videos)
 - [OSINT Blogs](#-osint-blogs)
 - [Other Resources](#-other-resources)
 - [Related Awesome Lists](#-related-awesome-lists)

## [↑](#-table-of-contents) Contributing

Please read [CONTRIBUTING](./CONTRIBUTING.md) if you wish to add tools or resources. Feel free to help 🥰 us grow this list with great resources.

## [↑](#-table-of-contents) Credits

This list was taken partially taken from [i-inteligence's](http://www.i-intelligence.eu) [OSINT Tools and Resources Handbook](http://www.i-intelligence.eu/open-source-intelligence-tools-and-resources-handbook/).

Thanks to our main contributors
[jivoi EK_](https://github.com/jivoi) & 
[spmedia](https://github.com/spmedia)

## [↑](#-table-of-contents) General Search

*The main search engines used by users.*

* [Aol](https://search.aol.com) - The web for America.
* [Ask](https://www.ask.com) - Ask something and get a answer.
* [Bing](https://www.bing.com) - Microsoft´s search engine.
* [Brave](https://search.brave.com) - a private, independent, and transparent search engine.
* [DuckDuckGo](https://duckduckgo.com) - an Internet search engine that emphasizes protecting searchers' privacy.
* [Goodsearch](https://www.goodsearch.com) - a search engine for shopping deals online.
* [Google Search](https://www.google.com) - Most popular search engine.
* [Instya](https://www.instya.com) -  You can searching shopping sites, dictionaries, answer sites, news, images, videos and much more.
* [Impersonal.me](http://www.impersonal.me)
* [Lycos](https://www.lycos.com) - A search engine for pictures, videos, news and products.
* [Mojeek](https://www.mojeek.com/) - A growing independent search engine which does not track you.
* [Search.com](https://www.search.com) - Search the Web by searching the best engines from one place.
* [SurfCanyon](https://www.surfcanyon.com) - a real-time contextual search technology that observes user behavior in order to disambiguate intent "on the fly," and then automatically bring forward to page one relevant results that might otherwise have remain buried.
* [Wolfram Alpha](https://www.wolframalpha.com) - Wolfram Alpha is a computational knowledge engine (answer engine) developed by Wolfram Alpha. It will compute expert-level answers using Wolfram’s breakthrough
algorithms, knowledgebase and AI technology.
* [Yahoo! Search](https://www.yahoo.com) -  The search engine that helps you find exactly what you're looking for.
* [YOU](https://you.com) - AI search engine.

## [↑](#-table-of-contents) Main National Search Engines

*Localized search engines by country.*

* [Alleba (Philippines)](http://www.alleba.com) - Philippines search engine
* [Baidu (China)](http://www.baidu.com) - The major search engine used in China
* [Eniro (Sweden)](http://www.eniro.se)
* [Goo (Japan)](http://www.goo.ne.jp)
* [Najdsi (Slovenia)](http://www.najdi.si)
* [Naver (South Korea)](http://www.naver.com)
* [Onet.pl (Poland)](http://www.onet.pl)
* [Orange (France)](http://www.orange.fr)
* [Parseek (Iran)](http://www.parseek.com)
* [SAPO (Portugal)](http://www.sapo.pt)
* [Search.ch (Switzerland)](http://www.search.ch)
* [Seznam(Czech Republic)](https://seznam.cz)
* [Walla (Israel)](http://www.walla.co.il)
* [Yandex (Russia)](http://www.yandex.com)
* [Najdi.si (Slovenia)](http://www.najdi.si/)

## [↑](#-table-of-contents) Meta Search

*Lesser known and used search engines.*

* [All-in-One](http://all-io.net)
* [AllTheInternet](http://www.alltheinternet.com)
* [Etools](http://www.etools.ch)
* [FaganFinder](http://www.faganfinder.com/engines)
* [Goofram](http://www.goofram.com)
* [iZito](http://www.izito.com)
* [Myallsearch](http://www.myallsearch.com)
* [Qwant](http://www.qwant.com) - French search engine that relies on Microsoft Bing.
* [Swisscows](https://swisscows.com/)

## [↑](#-table-of-contents) Specialty Search Engines

*Search engines for specific information or topics.*

* [2lingual Search](http://www.2lingual.com)
* [BeVigil](https://bevigil.com/search) - Search for assets like Subdomains, URLs, Parameters in mobile applications
* [Biznar](http://biznar.com)
* [CiteSeerX](http://citeseer.ist.psu.edu)
* [Criminal IP](https://www.criminalip.io/) - Cyber Threat Intelligence Search Engine and Attack Surface Management(ASM) platform 
* [Google Custom Search](http://www.google.com/cse)
* [GrayhatWarfare](https://grayhatwarfare.com/)
* [Harmari (Unified Listings Search)](https://www.harmari.com/search/unified)
* [Intelligence X](https://intelx.io/tools)
* [Internet Archive](https://archive.org/)
* [Mamont](https://www.mmnt.ru/)
* [Million Short](https://millionshort.com)
* [Netlas.io](https://app.netlas.io/)
* [OCCRP Aleph](https://aleph.occrp.org/)
* [Shodan](https://www.shodan.io/) - Shodan is a search engine for the IOT(Internet of Things) that allows you to search variety of servers that are connected to the internet using various searching filters.
* [WIPO](https://www3.wipo.int/branddb/en/)
* [WorldWideScience.org](http://worldwidescience.org)
* [Zanran](http://zanran.com)

## [↑](#-table-of-contents) Visual Search and Clustering Search Engines

*Search engines that scrape multiple sites (Google, Yahoo, Bing, Goo, etc) at the same time and return results.*

* [Carrot2](https://search.carrot2.org) - Organizes your search results into topics.
* [Zapmeta](http://www.zapmeta.com)

## [↑](#-table-of-contents) Similar Sites Search

*Find websites that are similar. Good for business competition research.*

* [Google Similar Pages](https://chrome.google.com/webstore/detail/google-similar-pages/pjnfggphgdjblhfjaphkjhfpiiekbbej)
* [SimilarSites](http://www.similarsites.com) - Discover websites that are similar to each other
* [SitesLike](http://www.siteslike.com) - Find similar websites by category

## [↑](#-table-of-contents) Document and Slides Search

*Search for data located on PDFs, Word documents, presentation slides, and more.*

* [Find-pdf-doc](http://www.findpdfdoc.com)
* [Free Full PDF](http://www.freefullpdf.com)
* [Offshore Leak Database](https://offshoreleaks.icij.org)
* [PasteLert](http://andrewmohawk.com/pasteLert/index.php)
* [Scribd](http://www.scribd.com)
* [SlideShare](http://www.slideshare.net)
* [Slideworld](http://www.slideworld.com)

## [↑](#-table-of-contents) File Search

*Search for all kind of files.*

* [de digger](https://www.dedigger.com/) - is a website that allows you to find any types of files that are publicly available in a Google Drive.
* [File Search Engine](https://www.filesearch.link/)
* [FileChef](https://www.filechef.com/)
* [FileListing](https://filelisting.com/)
* [FilePursuit](https://filepursuit.com/)
* [NAPALM FTP Indexer](https://www.searchftps.net/)
* [SearchFiles.de](https://searchfiles.de/)

## [↑](#-table-of-contents) Pastebins

*Find information that has been uploaded to Pastebin & alternative pastebin-type sites*

* [0bin](https://0bin.net)
* [cl1p](https://Cl1p.net)
* [controlc](https://Controlc.com)
* [doxbin](https://doxbin.net/) - A dox style pastebin ran by hackers
* [dpaste2](https://Dpaste.org)
* [dpaste](https://Dpaste.com)
* [GitHub gist](https://gist.github.com)
* [hastebin](https://www.toptal.com/developers/hastebin/)
* [ideone](https://Ideone.com)
* [ivpaste](https://Ivpaste.com)
* [jsbin](https://Jsbin.com)
* [justpaste](https://Justpaste.it)
* [paste.centos](https://paste.centos.org)
* [paste.debian](https://Paste.debian.net)
* [paste.ee](https://Paste.ee)
* [paste.kde](https://Paste.kde.org)
* [Rentry](https://rentry.co/)


## [↑](#-table-of-contents) Code Search

*Search by website source code*
* [AnalyzeID](https://analyzeid.com/) - Find Other Websites Owned By The Same Person
* [Code Finder](https://codefinder.dev/) - The ultimate search engine for finding GitHub repositories
* [grep.app](https://grep.app/) - Searches code from the entire github public repositories for a given specific string or using regular expression.
* [NerdyData](https://nerdydata.com) - Search engine for source code.
* [PublicWWW](https://publicwww.com/)
* [Reposearch](http://codefinder.org/)
* [SearchCode](https://searchcode.com) - Help find real world examples of functions, API's and libraries across 10+ sources.
* [SourceGraph](https://sourcegraph.com/search) - Search code from millions of open source repositories.

## [↑](#-table-of-contents) Major Social Networks

* [Draugiem (Latvia)](https://www.draugiem.lv)
* [Facebook](http://www.facebook.com)
* [Instagram](https://www.instagram.com)
* [Linkedin](https://www.linkedin.com)
* [Mixi (Japan)](https://mixi.jp)
* [Odnoklassniki (Russia)](http://ok.ru)
* [Pinterest](http://www.pinterest.com) - is an image sharing social media service used to easly discover, share and save ideas using visual representation.
* [Qzone (China)](http://qzone.qq.com)
* [Reddit](https://www.reddit.com)
* [Taringa (Latin America)](http://www.taringa.net)
* [Tinder](https://www.gotinder.com)
* [Tumblr](https://www.tumblr.com)
* [Twitter](https://twitter.com)
* [Weibo (China)](http://weibo.com)
* [VKontakte](https://vk.com)
* [Xing](https://www.xing.com)

## [↑](#-table-of-contents) Real-Time Search, Social Media Search, and General Social Media Tools

* [Audiense](https://www.audiense.com) - Tool to identify relevant audience, discover actionable insights and inform strategies to grow your business.
* [Bottlenose](http://bottlenose.com)
* [Brandwatch](https://www.brandwatch.com)
* [Buffer](https://buffer.com)
* [Buzz sumo](http://buzzsumo.com) - "Use our content insights to generate ideas, create high-performing content, monitor your performance and identify influencers."
* [Castrick](https://castrickclues.com) - Find social media accounts with email, username and phone number
* [Epieos](https://epieos.com) - Search for social accounts with e-mail and phone
* [Geocreepy](http://www.geocreepy.com)
* [Geofeedia](https://geofeedia.com)
* [Hashtatit](http://www.hashatit.com)
* [Hootsuite](http://hootsuite.com)
* [IDCrawl](https://www.idcrawl.com/) - Search for a name in popular social networks.
* [Klear](http://klear.com)
* [Kribrum](https://kribrum.io/)
* [Mail.Ru Social Network Search](https://go.mail.ru/search_social)
* [MustBePresent](http://mustbepresent.com)
* [Netvibes](http://www.netvibes.com)
* [Oblivion](https://github.com/loseys/Oblivion)
* [OpinionCrawl](http://www.opinioncrawl.com)
* [Predicta Search](https://predictasearch.com) - Search for social accounts with e-mail and phone
* [Profil3r](https://github.com/Rog3rSm1th/Profil3r)
* [Rival IQ](https://www.rivaliq.com)
* [Social DownORNot](http://social.downornot.com)
* [Social Searcher](http://www.social-searcher.com)
* [SocialBakers](http://www.socialbakers.com)
* [SocialBlade](http://socialblade.com)
* [SocialGrep](https://socialgrep.com) - a Reddit search engine/analysis tool, "signals out of the social web of noise."
* [Tagboard](https://tagboard.com)
* [TheWebCo](https://thewebco.ai) - The single source of people intelligence.
* [Trackur](http://www.trackur.com)
* [UVRX](http://www.uvrx.com/social.html)
* [WATools](https://watools.io/)

## Social Media Tools

### [↑](#-table-of-contents) Twitter

* [ExportData](https://www.exportdata.io/) - Data export tool for historical tweets, followers & followings and historical trends.
* [Foller.me](http://foller.me)
* [MyTweetAlerts](https://www.mytweetalerts.com/) - A tool to create custom email alerts based on Twitter search.
* [OneMillionTweetMap](http://onemilliontweetmap.com)
* [RiteTag](https://ritetag.com)
* [Sentiment140](http://www.twittersentiment.appspot.com)
* [Tagdef](https://tagdef.com)
* [Trends Predictions](https://trendspredictions.com/) - A tool for discovering new trending topics.
* [Trends24](http://trends24.in)
* [TwChat](http://twchat.com)
* [TweetDeck](https://www.tweetdeck.com)
* [TweetMap](http://mapd.csail.mit.edu/tweetmap)
* [TweetMap](http://worldmap.harvard.edu/tweetmap)
* [Twitter Advanced Search](https://twitter.com/search-advanced?lang=en)
* [Twitter Audit](https://www.twitteraudit.com)
* [Twitter Chat Schedule](http://tweetreports.com/twitter-chat-schedule)
* [Twitter Search](http://search.twitter.com)

### [↑](#-table-of-contents) Facebook

* [Facebook Friend List Scraper](https://github.com/narkopolo/fb_friend_list_scraper) - Tool for scraping large Facebook friend lists without being rate-limited.
* [Facebook Search](http://search.fb.com/)
* [Fanpage Karma](http://www.fanpagekarma.com)
* [Fb-sleep-stats](https://github.com/sqren/fb-sleep-stats) - Use Facebook to track your friends’ sleeping habits.
* [Find my Facebook ID](https://randomtools.io) - To find your Facebook personal numeric ID for facebook graph API operations, fb:admins, social plugins.
* [haveibeenzuckered](https://haveibeenzuckered.com/) - A large dataset containing 533 million Facebook accounts was made available for download. The data was obtained by exploiting a vulnerability that was, according to Facebook, corrected in August 2019. Check if a telephone number is present within the Facebook data breach.
* [Lookup-ID.com](https://lookup-id.com) - Looking for your Facebook profile ID / Group ID / Page ID.
* [SearchIsBack](https://searchisback.com)
* [Wolfram Alpha Facebook Report](http://www.wolframalpha.com/input/?i=facebook+report)

### [↑](#-table-of-contents) Instagram

* [Iconosquare](http://iconosquare.com)
* [Osintgram](https://github.com/Datalux/Osintgram) - Osintgram offers an interactive shell to perform analysis on Instagram account of any users by its nickname. 
* [Picodash](https://www.picodash.com) - Find Instagram Target Audience and Influencers
* [Sterra](https://github.com/novitae/sterraxcyl) - Instagram OSINT tool to export and analyse followers | following with their details
* [Toutatis](https://github.com/megadose/toutatis) - a tool that allows you to extract information from instagrams accounts such as s, phone numbers and more

### [↑](#-table-of-contents) Pinterest

* [Pingroupie](http://pingroupie.com)

### [↑](#-table-of-contents) Reddit

*Tools to help discover more about a reddit user or subreddit.*

* [Imgur](http://imgur.com/search?q=) - The most popular image hosting website used by redditors.
* [Mostly Harmless](http://kerrick.github.io/Mostly-Harmless/#features) - Mostly Harmless looks up the page you are currently viewing to see if it has been submitted to reddit.
* [Reddit Archive](http://www.redditarchive.com) - Historical archives of reddit posts.
* [Reddit Suite](https://chrome.google.com/webstore/detail/reddit-enhancement-suite/kbmfpngjjgdllneeigpgjifpgocmfgmb) - Enhances your reddit experience.
* [Reddit User Analyser](https://atomiks.github.io/reddit-user-analyser/) - reddit user account analyzer.
* [Subreddits](http://subreddits.org) - Discover new subreddits.
* [Reddit Comment Search](https://redditcommentsearch.com/) - Analyze a reddit users by comment history.
* [Universal Scammer List](https://universalscammerlist.com/) - This acts as the website-portion for the subreddit /r/universalscammerlist. That subreddit, in conjuction with this website and a reddit bot, manages a list of malicious reddit accounts and minimizes the damage they can deal. This list is referred to as the "USL" for short.
* [Reddit Comment Lookup](https://randomtools.io/reddit-comment-search/) - Search for reddit comments by reddit username.


### [↑](#-table-of-contents) VKontakte

*Perform various OSINT on Russian social media site VKontakte.*

* [Дезертир](http://vk.com/app3046467)
* [Barkov.net](http://vk.barkov.net)
* [Report Tree](http://dcpu.ru/vk_repost_tree.php)
* [VK5](http://vk5.city4me.com)
* [VK Community Search](http://vk.com/communities)
* [VK Parser](http://vkparser.ru) - A tool to search for a target audience and potential customers.
* [VK People Search](http://vk.com/people)
* [VK.watch](https://vk.watch/)

### [↑](#-table-of-contents) Tumblr

* [Tumblr Search](http://www.tumblr.com/search)

### [↑](#-table-of-contents) LinkedIn

* [FTL](https://chrome.google.com/webstore/detail/ftl/lkpekgkhmldknbcgjicjkomphkhhdkjj?hl=en-GB) - Browser plugin that finds emails of people's profiles in LinkedIn.


### [↑](#-table-of-contents) Telegram

* [Telegago](https://cse.google.com/cse?q=+&cx=006368593537057042503:efxu7xprihg#gsc.tab=0&gsc.q=%20&gsc.page=1) - A Google Advanced Search specifically for finding public and private Telegram Channels and Chatrooms. 
* [Telegram Nearby Map](https://github.com/tejado/telegram-nearby-map) - Webapp based on OpenStreetMap and the official Telegram library to find the position of nearby users.

### [↑](#-table-of-contents) Steam

* [OSINT-Steam](https://osint-steam.vercel.app/en) - An [open-source](https://github.com/Berchez/OSINT-steam) tool that returns public information, such as friends list and possible locations, from Steam profiles.

## [↑](#-table-of-contents) Blog Search

* [BlogSearchEngine](http://www.blogsearchengine.org)
* [Notey](http://www.notey.com) - Blog post search engine.
* [Sphere](https://www.sphere.com)
* [Twingly](http://www.twingly.com)

## [↑](#-table-of-contents) Forums and Discussion Boards Search

* [4chan Search](https://4chansearch.com/)
* [Boardreader](http://boardreader.com)
* [Built With Flarum](https://builtwithflarum.com/)
* [Facebook Groups](https://www.facebook.com)
* [Google Groups](https://groups.google.com)
* [LinkBase](https://link-base.org/)
* [Linkedin Groups](http://www.linkedin.com)
* [Ning](http://www.ning.com)
* [Omgili](http://omgili.com)
* [Xing Groups](https://www.xing.com/communities)
* [Yahoo Groups](https://groups.yahoo.com)

## [↑](#-table-of-contents) Username Check

* [Blackbird](https://github.com/p1ngul1n0/blackbird) - Search a username across over 600+ websites.
* [CheckUser](https://checkuser.vercel.app/) - search username across social networks
* [Cupidcr4wl](https://github.com/OSINTI4L/cupidcr4wl) - A username search tool that crawls adult content platforms to see if a targeted account or person is present.
* [Digital Footprint Check](https://www.digitalfootprintcheck.com/free-checker.html)  - Check for registered username on 100s of sites for free.
* [IDCrawl](https://www.idcrawl.com/username) - Search for a username in popular social networks.
* [Maigret](https://github.com/soxoj/maigret) - Collect a dossier on a person by username.
* [Name Chk](http://www.namechk.com) - Check over 30 domains and more than 90 social media account platforms.
* [Name Checkr](http://www.namecheckr.com) - checks a domain and username across many platforms.
* [Name Checkup](https://namecheckup.com) - is a search tool that allows you to check the avilability of a givrn username from all over the social media. Inaddition it also sllows you to check the avilability of a given domain name.
* [NameKetchup](https://nameketchup.com) - checks domain name and username in popular social media sites and platforms.
* [NexFil](https://github.com/thewhiteh4t/nexfil) - checks username from almost all social network sites.
* [Seekr](https://github.com/seekr-osint/seekr) A multi-purpose all in one toolkit for gathering and managing OSINT-Data with a neat web-interface. Can be used for note taking and username checking.
* [Sherlock](https://github.com/sherlock-project/sherlock) - Search for a username in multiple platforms/websites.
* [SherlockEye](https://sherlockeye.io/) - Search for publicly available information connected to a username, uncovering associated profiles and activities across the web.
* [Snoop](https://github.com/snooppr/snoop/blob/master/README.en.md) - Search for a nickname on the web (OSINT world)
* [User Search](http://www.usersearch.org) - Find someone by username, email, phone number or picture across Social Networks, Dating Sites, Forums, Crypto Forums, Chat Sites and Blogs, 3000+ sites Supported!
* [User Searcher](https://www.user-searcher.com) - User-Searcher is a powerful and free tool to help you search username in 2000+ websites.
* [WhatsMyName](https://whatsmyname.app/) - check for usernames across many different platforms.


## [↑](#-table-of-contents) People Investigations

* [192 (UK)](http://www.192.com) - Search by person, business, address. Limited free info, premium data upsell.
* [411 (US)](http://www.411.com) - Search by person, phone number, address, and business. Limited free info, premium data upsell.
* [Ancestry](http://www.ancestry.com) - Premium data, free trial with credit card.
* [BeenVerified](https://www.backgroundchecks.com/solutions/beenverified)
* [Black Book Online](https://www.blackbookonline.info) - Free. Nationwide directory of public record lookups.
* [Canada411](http://www.canada411.ca) - Search by person, phone number, and business. Free.
* [Classmates](http://www.classmates.com) - High-school focused people search. Free acounts allow creating a profile and viewing other members. Premium account required to contact other members.
* [CrunchBase](http://www.crunchbase.com) - Business information database, with a focus on investment, acquisition, and executive data. Ancillary focus on market research and connecting founders and investors.
* [FaceCheck.ID](https://facecheck.id) - Search the internet by face.
* [Family Search](https://familysearch.org) - Popular genealogy site. Free, but registration required. Funded by The Church Of Jesus Christ of Latter-day Saints.
* [FamilyTreeNow](https://familytreenow.com) - Research family and geneology, no registration required, can search addresses, phone numbers, and email addresses as well as associations.
* [Federal Bureau of Prisons - Inmate Locator (US)](http://www.bop.gov/inmateloc) - Search federal inmates incarcerated from 1982 to the present. 
* [Fold3 (US Military Records)](http://www.fold3.com) - Search military records. Search filters limited with free access. Premium access requires subscription.
* [Genealogy Bank](http://www.genealogybank.com) - Premium data, free trial with credit card.
* [Genealogy Links](http://www.genealogylinks.net) - Genealogy directory with over 50K links.
* [Homemetry](https://homemetry.com) - Reverse address search and allows searching for properties for sale/rent.
* [JailBase](https://www.jailbase.com/) - is an information site that allows you to search for arrested persons you might know, and even get notified if someone you know gets arrested.
* [Judyrecords](https://www.judyrecords.com/) - Free. Nationwide search of 400 million+ United States court cases.
* [Kompass](http://www.kompass.com) - Business directory and search.
* [Mugshots](https://mugshots.com/)
* [OpenSanctions](https://www.opensanctions.org/search/) - Information on sanctions and public office holders.
* [Reunion](http://reunion.com) - People search. Limited free info, premium data upsell.
* [SearchBug](http://www.searchbug.com) - People search. Limited free info, premium data upsell.
* [Spokeo](http://www.spokeo.com) - People search. Limited free info, premium data upsell.
* [The National Archives (UK)](http://www.nationalarchives.gov.uk) - Search UK national archives.
* [UniCourt](https://unicourt.com/) - Limited free searches, premium data upsell. Nationwide search of 100 million+ United States court cases.
* [VineLink](https://www.vinelink.com/#state-selection) - Inmate search and notification service for victims of crime, linked to multiple correctional facilities' booking systems in the U.S.
* [Voter Records](https://voterrecords.com/) - Free political research tool to study more than 100 Million US voter records.
* [White Pages (US)](http://www.whitepages.com) - People search. Limited free info, premium data upsell.
* [ZabaSearch](https://www.zabasearch.com/)

## [↑](#-table-of-contents) Email Search / Email Check

* [Blackbird](https://github.com/p1ngul1n0/blackbird) - Search for accounts associated with a given email across various platforms.
* [DeHashed](https://dehashed.com/) - DeHashed helps prevent ATO with our extensive data set & breach notification solution. Match employee and consumer logins against the world’s largest repository of aggregated publicly available assets leaked from third-party breaches. Secure passwords before criminals can abuse stolen information, and protect your enterprise.
* [Email Address Validator](http://www.email-validator.net)  - Improve deliverability, reduce bounce rates, prevent fraud and minimize funnel leaks.
* [Email Format](http://email-format.com) - is a website that allows you to find email address formats used by different companies.
* [Email Permutator](https://www.polished.app/email-permutator/) - a powerful tool designed to aid professionals in generating a range of potential email addresses for a specific contact. 
* [EmailHippo](https://tools.verifyemailaddress.io) - is an email address verification platform that will check whether a given email address exist or not.
* [Ghunt](https://github.com/mxrch/GHunt) - Investigate Google emails and documents.
* [Gitrecon](https://github.com/atiilla/gitrecon) - Node.js tool to scan GitHub repositories for exposed email addresses and names.
* [h8mail](https://github.com/khast3x/h8mail) - Password Breach Hunting and Email OSINT, locally or using premium services. Supports chasing down related email.
* [Have I Been Pwned](https://haveibeenpwned.com) - Search across multiple data breaches to see if your email address has been compromised.
* [Holehe](https://github.com/megadose/holehe) - allows you to check if the mail is used on different sites like twitter, instagram and will retrieve information on sites with the forgotten password function.
* [Hunter](https://hunter.io) - Hunter lets you find email addresses in seconds and connect with the people that matter for your business.
* [LeakCheck](https://leakcheck.io/) - Data Breach Search Engine with 7.5B+ entries collected from more than 3000 databases. Search by e-mail, username, keyword, password or corporate domain name. 
* [MailTester](http://mailtester.com) - hunt for emails and improve your email deliverability
* [mxtoolbox](https://mxtoolbox.com/) - Free online tools to investigate/troubleshoot email server issues.
* [OSINTEye](https://github.com/atiilla/OsintEye) - OSINT Eye: A WPF Desktop Application for GitHub Intelligence, Social Media Reconnaissance, and Subdomain Discovery
* [Peepmail](http://www.samy.pl/peepmail) - is a tool that allows you to discover business email addresses for users, even if their email address may not be publicly available or shared.
* [Pipl](https://pipl.com) - a provider of identity solutions.
* [Reacher](https://reacher.email) - Real-time email verification API, written in Rust, 100% open-source.
* [SherlockEye](https://sherlockeye.io/) - Search for publicly available data linked to an email address across multiple sources on the internet.
* [Snov.io](https://snov.io/email-finder) - Find email addresses on any website.
* [ThatsThem](https://thatsthem.com/reverse-email-lookup) - Reverse Email Lookup.
* [Toofr](https://www.toofr.com) - Find Anyone’s Email Address in Seconds.

* [Verify Email](http://verify-email.org) - The fastest and most accurate email verification tool.
* [VoilaNorbert](https://www.voilanorbert.com) - Find anyone's contact information for lead research or talent acquisition.

## [↑](#-table-of-contents) Phone Number Research
* [CallerID Test](https://calleridtest.com/) - Get caller ID and telco carrier information back from a phone number. 
* [EmobileTracker.com](https://www.emobiletracker.com/) - a service specifically designed to Track Mobile Number, Location on Google Map including information such as the owner's Name,Location,Country,Telecom provider.
* [FreeCarrierLookup](https://freecarrierlookup.com/) - enter a phone number and we'll return the carrier name and whether the number is wireless or landline. We also return the email-to-SMS and email-to-MMS gateway addresses for USA and Canadian* phone numbers.
* [Infobel](https://www.infobel.com/) - Search 164+ million records across 73 countries for companies and individuals. Find places, local service providers, their contact details, reviews, opening hours and more.
* [InMobPrefix](https://github.com/hstsethi/in-mob-prefix) - Dataset, charts, models about mobile phone numbers prefixes in India along with their respective state, operator.
* [Phone Validator](https://www.phonevalidator.com/index.aspx) - Pretty accurate phone lookup service, particularly good against Google Voice numbers.
* [PhoneInfoga](https://github.com/sundowndev/PhoneInfoga) - Advanced information gathering & OSINT framework for phone numbers.
* [Reverse Phone Check](https://www.reversephonecheck.com) - Look up names, addresses, phone numbers, or emails and anonymously discover information about yourself, family, friends, or old schoolmates. Powered by infotracer.com
* [Reverse Phone Lookup](http://www.reversephonelookup.com/) - Detailed information about phone carrier, region, service provider, and switch information.
* [Spy Dialer](http://spydialer.com/) - Get the voicemail of a cell phone & owner name lookup.
* [Sync.ME](https://sync.me/) - a caller ID and spam blocker app.
* [Truecaller](https://truecaller.com) - Global reverse phone number search.
* [Twilio](https://www.twilio.com/docs/lookup/v2-api) - Look up a phone numbers carrier type, location, etc. Twilio offers free accounts that come with credits you can use with their API. Each lookup is only ~$0.01-$0.02 typically on US and CAN numbers.

## [↑](#-table-of-contents) Vehicle / Automobile Research

* [FaxVIN](https://www.faxvin.com/) - Vehicle History Reports. A license plate lookup tool that returns info like VIN, make & model of vehicle, age, and numerous other details. 
* [EpicVIN](https://epicvin.com/) - Vehicle reports are compiled from various data sources, including historical accident records from state agencies and other entities like NMVTIS. License plate lookup that returns VIN and car millage.

## [↑](#-table-of-contents) Expert Search

* [Academia](http://academia.edu) - is a platform for sharing academic research.
* [CanLaw](http://www.canlaw.com)
* [ExpertiseFinder](http://www.expertisefinder.com)
* [ExpertPages](http://expertpages.com)
* [Experts.com](http://www.experts.com)
* [HARO](http://www.helpareporter.com)
* [Licenseplates](http://www.worldlicenseplates.com/)
* [GlobalExperts](http://www.theglobalexperts.org)
* [Idealist](http://www.idealist.org)
* [Innocentive](http://www.innocentive.com)
* [Internet Experts](http://www.internetexperts.info)
* [Library of Congress: Ask a Librarian](http://www.loc.gov/rr/askalib)
* [Maven](http://www.maven.co)
* [MuckRack](http://muckrack.com) - Extensive database of U.S. government public records obtained through federal and state public records requests. Automated tool that will make public records requests and follow up until records are obtained on your behalf.
* [National Speakers Association](http://www.nsaspeaker.org)
* [Newswise](http://www.newswise.com)
* [Patent Attorneys/Agent Search](https://oedci.uspto.gov/OEDCI/) - Official listing of U.S. attorneys qualified to represent individuals in U.S. patent office proceedings.
* [PRNewswire](https://prnmedia.prnewswire.com)
* [ReseacherID](http://www.researcherid.com)
* [SheSource](http://www.shesource.org)
* [Speakezee](https://www.speakezee.org)
* [Sources](http://www.sources.com)
* [TRExpertWitness](https://trexpertwitness.com)
* [Zintro](https://www.zintro.com)

## [↑](#-table-of-contents) Company Research

* [AllStocksLinks](http://www.allstocks.com/links)
* [Better Business Bureau](http://www.bbb.org)
* [Bizeurope](http://www.bizeurope.com)
* [Bloomberg](http://www.bloomberg.com/research/company/overview/overview.asp)
* [BrownBook](https://www.brownbook.net/)
* [Bureau Van Dijk](http://www.bvdinfo.com)
* [Business Source](https://www.ebscohost.com/academic/business-source-complete)
* [Canadian Business Research](https://www.canada.ca/en/services/business/research.html)
* [Caselaw Access Project](https://case.law/) - Collection of full text of historical (not up-to-date) cases from United States state appellate courts.  
* [Company Registration Round the World](http://www.commercial-register.sg.ch/home/worldwide.html)
* [Company Research Resources by Country Comparably](https://www.comparably.com)
* [CompeteShark](http://competeshark.com)
* [Corporate Information](http://www.corporateinformation.com) - Aggregated information from publicly available sources on publicly traded companies worldwide.
* [CorporationWiki](https://www.corporationwiki.com/)
* [CrunchBase](https://www.crunchbase.com) - Detailed information on startup businesses, with a specific focus on funding sources and funding procedures used by specific businesses. 
* [Data.com Connect](https://connect.data.com)
* [EDGAR U.S. Securities and Exchange Commission Filings](http://www.edgar-online.com) - Periodic reports and extensive corporate disclosures from all businesses publicly traded in the United States.
* [Europages](http://www.europages.co.uk)
* [European Business Register](http://www.ebr.org)
* [Ezilon](http://www.ezilon.com)
* [Factiva](https://global.factiva.com)
* [Forbes Global 2000](http://www.forbes.com/global2000/)
* [Glassdoor](https://www.glassdoor.com)
* [globalEdge](http://globaledge.msu.edu)
* [GoodFirms](https://www.goodfirms.co/)
* [GuideStar](http://www.guidestar.org)
* [Hoovers](http://www.hoovers.com)
* [Inc. 5000](http://www.inc.com/inc5000)
* [iSpionage](https://www.ispionage.com)
* [Judyrecords](https://www.judyrecords.com/) - Free. Nationwide search of 400 million+ United States court cases.
* [Knowledge guide to international company registration](http://www.icaew.com/en/library/subject-gateways/business-management/company-administration/knowledge-guide-international-company-registration)
* [Linkedin](https://www.linkedin.com) - Commonly used social-media platform with a focus on professional profiles and recruitment. Spans a wide variety of industries. Very useful for gathering information on what specific individuals are active within an entity.
* [Mergent Intellect](http://www.mergentintellect.com)
* [Mergent Online](http://www.mergentonline.com/login.php)
* [National Company Registers](https://en.wikipedia.org/wiki/List_of_company_registers)
* [Notablist](https://www.notablist.com)
* [OpenCorporates](https://opencorporates.com) - Global search of registered corporate entities and their associated individual officers or investors.
* [OpenOwnership Register](https://register.openownership.org/)
* [Orbis directory](http://orbisdirectory.bvdinfo.com/version-20161014/OrbisDirectory/Companies)
* [Overseas Company Registers](https://www.gov.uk/government/publications/overseas-registries/overseas-registries)
* [Plunkett Research](http://www.plunkettresearchonline.com)
* [Scoot](http://www.scoot.co.uk)
* [SEMrush](https://www.semrush.com)
* [Serpstat](https://serpstat.com)
* [SpyFu](http://www.spyfu.com)
* [TheWebCo](https://thewebco.ai) - The single source of people intelligence.
* [UniCourt](https://unicourt.com/) - Limited free searches, premium data upsell. Nationwide search of 100 million+ United States court cases.
* [Vault](http://www.vault.com) - Well-known ranking of largest United States Corporations.
* [Xing](http://www.xing.com)
* [YouControl](https://youcontrol.com.ua/en/)

## [↑](#-table-of-contents) Job Search Resources

* [Beyond](http://www.beyond.com)
* [CampusCareerCenter](http://www.campuscareercenter.com)
* [CareerBuilder](http://www.careerbuilder.com)
* [College Recruiter](https://www.collegerecruiter.com)
* [Craiglist](http://losangeles.craigslist.org)
* [CVFox](http://www.cvfox.com)
* [Dice](http://www.dice.com)
* [Eluta (Canada)](http://www.eluta.ca)
* [Eurojobs](https://www.eurojobs.com)
* [Fish4Jobs](http://www.fish4.co.uk)
* [Glassdoor](https://www.glassdoor.com)
* [Headhunter](http://www.headhunter.com)
* [Indeed](http://www.indeed.com) - is an online job searching website that gives job seekers free access to search for a job, post their resumes, and research companies.
* [Jobs (Poland)](http://www.jobs.pl)
* [Jobsite (UK)](http://www.jobsite.co.uk)
* [Linkedin](https://www.linkedin.com)
* [Monster](http://www.monster.com)
* [Naukri (India)](http://www.naukri.com)
* [RecruitEm](https://recruitin.net/)
* [Reed (UK)](http://www.reed.co.uk)
* [Seek (Australia)](http://www.seek.com.au)
* [SimplyHired](http://www.simplyhired.com)
* [Xing](http://www.xing.com)
* [ZipRecruiter](https://www.ziprecruiter.com)

## [↑](#-table-of-contents) Q&A Sites

* [Answers.com](http://www.answers.com)
* [Ask](http://www.ask.com)
* [eHow](http://www.ehow.com)
* [Quora](http://www.quora.com)
* [StackExchange](http://stackexchange.com)
* [Yahoo Answers](http://answers.yahoo.com)
* [Ответы](https://otvet.mail.ru/)

## [↑](#-table-of-contents) Domain and IP Research

* [Accuranker](https://www.accuranker.com)
* [ahrefs](https://ahrefs.com) - A tool for backlink research, organic traffic research, keyword research, content marketing & more.
* [Azure Tenant Resolution by PingCastle](https://tenantresolution.pingcastle.com) - Search for Azure Tenant using its domain name or its ID 
* [Bing Webmaster Tools](http://www.bing.com/toolbox/webmaster)
* [BuiltWith](http://builtwith.com) - is a website that will help you find out all the technologies used to build a particular websites.
* [Central Ops](http://centralops.net)
* [Check-The-Sum](https://check-the-sum.fr/) - Database of IP addresses, domains, and malicious files collected via honeypots.
* [Dedicated or Not](http://dedicatedornot.com)
* [DNS History](https://completedns.com/dns-history/)
* [DNSDumpster](https://dnsdumpster.com) - is a website that will help you discover hosts related to a specific domain.
* [DNSStuff](http://www.dnsstuff.com)
* [DNSViz](http://dnsviz.net)
* [Domain Crawler](http://www.domaincrawler.com)
* [Domain Dossier](http://centralops.net/co/DomainDossier.aspx)
* [Domain Tools](http://whois.domaintools.com) - Whois lookup and domain/ip historical data.
* [Easy whois](https://www.easywhois.com)
* [Exonera Tor](https://exonerator.torproject.org) - A database of IP addresses that have been part of the Tor network. It answers the question whether there was a Tor relay running on a given IP address on a given date.
* [Follow.net](http://follow.net)
* [GraphyStories](http://app.graphystories.com)
* [Hudson Rock](https://www.hudsonrock.com/threat-intelligence-cybercrime-tools) - is a free cybercrime intelligence toolkit to check exposure in Infostealer malware infection.
* [HypeStat](https://www.hypestat.com)
* [Infosniper](http://www.infosniper.net)
* [IntelliTamper](http://www.softpedia.com/get/Internet/Other-Internet-Related/IntelliTamper.shtml)
* [intoDNS](http://www.intodns.com)
* [IP 2 Geolocation](http://ip2geolocation.com)
* [IP 2 Location](http://www.ip2location.com/demo.aspx)
* [IP Checking](http://www.ipchecking.com)
* [IP Location](https://www.iplocation.net) - is used for mapping of an IP address or MAC address to the real-world geographic location of an Internet-connected computing or a mobile device.
* [IPFingerprints](http://www.ipfingerprints.com) - is used to find the approximate geographic location of an IP address along with some other useful information including ISP, TimeZone, Area Code, State.
* [IPVoid](http://www.ipvoid.com) - IP address toolset.
* [Kloth](http://www.kloth.net/services)
* [Majestic](https://majestic.com) - Find out who links to your website.
* [MaxMind](https://www.maxmind.com)
* [Netcraft Site Report](http://toolbar.netcraft.com/site_report?url=undefined#last_reboot) - is an online database that will provide you a report with detail information about a particular website and the history associated with it.
* [NetworkTools](http://network-tools.com)
* [Open Site Explorer](https://moz.com/researchtools/ose)
* [OpenLinkProfiler](http://www.openlinkprofiler.org/)
* [PageGlimpse](http://www.pageglimpse.com)
* [Pentest-Tools.com](https://pentest-tools.com/information-gathering/google-hacking) - uses advanced search operators (Google Dorks) to find juicy information about target websites.
* [PhishStats](https://phishstats.info/)
* [Pulsedive](https://pulsedive.com)
* [Quantcast](https://www.quantcast.com)
* [Quick Sprout](https://www.quicksprout.com)
* [RedirectDetective](http://redirectdetective.com)
* [Redirect Explorer](https://www.redirectexplorer.com) - Redirect Explorer will show you where a URL goes, and if it's safe to use. No more guessing!
* [Remote DNS Lookup](https://remote.12dt.com)
* [Robtex](https://www.robtex.com) - is an IP address and domain name based researching websites that offers multiple services such as Reverse DNS Lookup, Whois, and AS Macros.
* [SameID](http://sameid.net)
* [SecurityTrails](https://securitytrails.com/dns-trails) - API to search current and historical DNS records, current and historical WHOIS, technologies used by sites and whois search for phone, email, address, IPs etc.
* [SubDomainRadar.io](https://subdomainradar.io) - Fast subdomain finder with multiple search modes and the most extensive data sources, offering real-time notifications.
* [SEMrush](https://www.semrush.com)
* [SEO Chat Tools](http://tools.seochat.com)
* [SEOTools for Excel](http://seotoolsforexcel.com)
* [Similar Web](https://www.similarweb.com) - Compare any website traffic statistics & analytics.
* [SmallSEOTools](http://smallseotools.com)
* [Squatm3gator](https://github.com/david3107/squatm3gator) - Enumerate available domains generated modifying the original domain name through different cybersquatting techniques
* [StatsCrop](http://www.statscrop.com)
* [Threat Jammer](https://threatjammer.com) - Risk scoring service from curated threat intelligence data.
* [TinyScan](https://www.tiny-scan.com) - Another powerful URL scan tool that provides comprehensive information about any given URL. Get insights into IP address, location, screenshots, technology stack, performance metrics, and more.
* [urlDNA](https://urldna.io/) -  Unleash website insights! urldna.io analyzes url, monitors brands and track phishing sites.
* [urlQuery](http://urlquery.net)
* [urlscan](https://urlscan.io/) -  is a free service to scan and analyse websites.
* [URLVoid](http://www.urlvoid.com) - Analyzes a website through multiple blacklist engines and online reputation tools to facilitate the detection of fraudulent and malicious websites.
* [Validin](https://app.validin.com/) - Website and API to search current and historical DNS records for free
* [Verisign](http://dnssec-debugger.verisignlabs.com)
* [ViewDNS.info](http://viewdns.info)
* [Virus Total](https://www.virustotal.com/) - Analyse suspicious domains, IPs URLs and files to detect malware and other breaches
* [w3snoop](http://webboar.com.w3snoop.com) - is a website that gives you a free and comprehensive report about a specific website.
* [Web-Check](https://web-check.as93.net/) - All-in-one tool for viewing website and server meta data.
* [WebMeUp](http://webmeup.com) - is the Web's freshest and fastest growing backlink index, and the primary source of backlink data for SEO PowerSuite.
* [Website Informer](http://website.informer.com)
* [WebsiteTechMiner.py](https://github.com/cybersader/WebsiteTechMiner-py) - automates gathering website profiling data into a CSV from the "BuiltWith" or "Wappalyzer" API for tech stack information, technographic data, website reports, website tech lookups, website architecture lookups, etc.
* [WhatIsMyIPAddress](http://whatismyipaddress.com)
* [Who.is](https://who.is/) - Domain whois information.
* [Whois Arin Online](https://whois.arin.net) - is a web service for Whois data contained within ARIN's registration database
* [WhoIsHostingThis](http://www.whoishostingthis.com)
* [WhoisMind](http://www.whoismind.com)
* [Whoisology](https://whoisology.com)
* [WhoIsRequest](http://whoisrequest.com)
* [WiGLE](https://wigle.net/) - Wi-fi "wardriving" database. Contains a global map containing crowdsourced information on the location, name, and other properties of wi-fi networks. Software available to download to contribute data to the public infoset.
* [You Get Signal](http://www.yougetsignal.com)

## [↑](#-table-of-contents) Keywords Discovery and Research

* [Google Adwords](http://adwords.google.com) - Get monthly keyword volume data and stats.
* [Google Trends](https://www.google.com/trends) - See how many users are searching for specific keywords.
* [Keyword Discovery](http://www.keyworddiscovery.com)
* [Keyword Spy](http://www.keywordspy.com)
* [KeywordTool](http://keywordtool.io)
* [One Look Reverse Dictionary](http://www.onelook.com/reverse-dictionary.shtml)
* [Soovle](http://www.soovle.com)
* [Ubersuggest](http://ubersuggest.org)
* [Word Tracker](https://www.wordtracker.com)
* [Yandex Wordstat](https://wordstat.yandex.com)

## [↑](#-table-of-contents) Web History and Website Capture

* [Archive.is](http://archive.is) - is a website that allows you to archive a snapshot of you websites that will always remains online evenif the original page disappears.
* [BlackWidow](http://softbytelabs.com/wp/blackwidow/)
* [CashedPages](http://www.cachedpages.com)
* [CachedView](http://cachedview.com)
* [stored.website](https://stored.website)
* [Wayback Machine](http://archive.org/web/web.php) - Explore the history of a website.
* [Wayback Machine Archiver](https://github.com/jsvine/waybackpack)
* [waybackpy](https://github.com/akamhy/waybackpy) - Python package & CLI tool that interfaces the Wayback Machine APIs.

## [↑](#-table-of-contents) Language Tools

* see the [Awesome Translations list](https://github.com/mbiesiad/awesome-translations#tools)

## [↑](#-table-of-contents) Image Search

* [Baidu Images](https://image.baidu.com)
* [Betaface](https://www.betaface.com/demo.html)
* [Bing Images](https://www.bing.com/images)
* [Clarify](https://clarify.io)
* [Dupli Checker](https://www.duplichecker.com/reverse-image-search.php) - You can search for an image by uploading + with URL or typing the keyword or any word you want to explore related to images.
* [FaceCheck.ID](https://facecheck.id) - Facial recognition search engine.
* [Faceagle](https://faceagle.com/) - A search engine for face.
* [Flickr](https://flickr.com/search/)
* [GeoSpyer](https://github.com/atiilla/geospy "Original service: https://geospy.web.app/") - Python tool using Graylark's AI-powered geo-location service to uncover the location where photos were taken.
* [Google Image](https://images.google.com)
* [Google Lens](https://lens.google.com/)
* [Image Identification Project](https://www.imageidentify.com)
* [Image Raider](https://www.imageraider.com) - is our reverse image search tool for completing individual searches. When you upload an image to this page, we'll scour the internet to find its source and all of the other pages where it has been posted.
* [Lycos Image Search](https://search.lycos.com)
* [PhotoBucket](https://photobucket.com)
* [PicTriev](http://www.pictriev.com) - a face search engine.
* [PimEyes](https://pimeyes.com) - an online face search engine that goes through the Internet to find pictures containing given faces.
* [Pixsy](https://www.pixsy.com/) - Take back control of your images. See where & how your images are being used online!
* [Search4faces](https://search4faces.com/) - a service for searching people on the Internet by photo. 
* [TinEye](https://tineye.com) - Reverse image search engine.
* [Yahoo Image Search](https://images.search.yahoo.com)
* [Yandex Images](https://www.yandex.com/images)

## [↑](#-table-of-contents) Image Analysis

* [DiffChecker](https://www.diffchecker.com/image-diff/)
* [ExifLooter](https://github.com/aydinnyunus/exiflooter)
* [ExifTool](http://www.sno.phy.queensu.ca/~phil/exiftool)
* [Forensically](https://29a.ch/photo-forensics/)
* [FotoForensics](http://www.fotoforensics.com)
* [GeoSpy](https://geospy.web.app/) - AI based image osint tool
* [ImgOps](https://imgops.com/)
* [ImpulseAdventure](http://www.impulseadventure.com/photo/jpeg-snoop.html)
* [Jeffreys Image Metadata Viewer](http://exif.regex.info/)
* [JIMPL](https://jimpl.com/) - Online EXIF data viewer
* [JPEGsnoop](https://sourceforge.net/projects/jpegsnoop)

## [↑](#-table-of-contents) Video Search and Other Video Tools

* [Bing Videos](http://www.bing.com/?scope=video)
* [Clarify](http://clarify.io)
* [Clip Blast](http://www.clipblast.com)
* [DailyMotion](http://www.dailymotion.com)
* [Deturl](http://deturl.com) - Download a YouTube video from any web page.
* [DownloadHelper](http://www.downloadhelper.net) - Download any video from any websites, it just works!
* [Earthcam](http://www.earthcam.com) - EarthCam is the leading network of live streaming webcams for tourism and entertainment.
* [Filmot](https://filmot.com/) - Search within YouTube subtitles. Indexing over 573 million captions across 528 million videos and 45 million channels.
* [Find YouTube Video](https://findyoutubevideo.thetechrobo.ca/) - Searches currently 5 YouTube archives for specific videos by ID, which is really useful for finding deleted or private YouTube videos.
* [Frame by Frame](https://chrome.google.com/webstore/detail/frame-by-frame/cclnaabdfgnehogonpeddbgejclcjneh/) - Browser plugin that allows you to watch YouTube videos frame by frame.
* [Geosearch](http://www.geosearchtool.com)
* [Insecam](http://insecam.org/) - Live cameras directory
* [Internet Archive: Open Source Videos](https://archive.org/details/opensource_movies)
* [Metacafe](http://www.metacafe.com)
* [Metatube](http://www.metatube.com)
* [Tubuep](https://github.com/bibanon/tubeup) - Downloads online videos via yt-dlp, then reuploads them to the Internet Archive for preservation. Note: if you would like to archive comments too, you need to install version 0.0.33 and use the --get-comments flag, however you will still have the new yt-dlp fixes and features, but existing tubeup bugs cannot be fixed, unless you do manual work.
* [Veoh](http://www.veoh.com)
* [Video Stabilization Methods](https://github.com/yaochih/awesome-video-stabilization)
* [Vimeo](https://vimeo.com)
* [Yahoo Video Search](http://video.search.yahoo.com)
* [YouTube Data Viewer](https://www.amnestyusa.org/citizenevidence)
* [YouTube Geofind](https://mattw.io/youtube-geofind/)
* [YouTube Metadata](https://mattw.io/youtube-metadata/)
* [YouTube](https://www.youtube.com)
* [yt-dlp](https://github.com/yt-dlp/yt-dlp/) - Downloads videos from almost any online platform, along with information, thumbnails, subtitles, descriptions, and comments (comments only on a select few sites like Youtube and a few small sites). If a site is not supported, or a useful or crucial piece of metadata, including comments, is missing, create an issue.

## [↑](#-table-of-contents) Academic Resources and Grey Literature

* [Academia](https://www.academia.edu)
* [Academic Journals](http://www.academicjournals.org)
* [African Journal Online](http://www.ajol.info) -  is the world's largest and preeminent platform of African-published scholarly journals
* [American Society of Civil Engineers](http://ascelibrary.org)
* [Base](http://www.base-search.net)
* [Bibsonomy](http://www.bibsonomy.org)
* [Core](https://core.ac.uk/search)
* [Elsevier](https://www.elsevier.com)
* [Google Scholar](https://scholar.google.com)
* [Grey Guide](http://greyguide.isti.cnr.it)
* [Grey Literature Strategies](http://greylitstrategies.info)
* [Grey Literature – List of Gateways](http://csulb.libguides.com/graylit)
* [GreyNet International](http://www.greynet.org)
* [HighWire: Free Online Full-text Articles](http://highwire.stanford.edu/lists/freeart.dtl)
* [Journal Guide](https://www.journalguide.com)
* [Journal Seek](http://journalseek.net)
* [JSTOR](http://www.jstor.org) - Search over 10 million academic journal articles, books, and primary sources.
* [Lazy Scholar](http://www.lazyscholar.org)
* [Leibniz Information Centre For Science and Technology University Library](https://www.tib.eu/en/search-discover/) - indexes all reports of German publicly funded projects and many scientific papers.
* [Microsoft Academic](http://academic.research.microsoft.com)
* [NRC Research Press](http://www.nrcresearchpress.com)
* [OA.mg](http://oa.mg) A database of over 240 million scientific works, with PDFs for all Open Access papers in their catalogue (~ 40 million)
* [Open Access Scientific Journals](http://www.pagepress.org)
* [Open Grey](http://www.opengrey.eu)
* [Oxford Journals](http://www.oxfordjournals.org)
* [PubMed](http://www.ncbi.nlm.nih.gov/pubmed) - Search more than 27 millions citations for biomedical literature from MEDLINE, life science journals, and online books.
* [Quetzal Search](https://www.quetzal-search.info)
* [Research Gate](http://www.researchgate.net)
* [SAGE Journals](http://online.sagepub.com)
* [Science Publications](http://www.thescipub.com)
* [ScienceDirect](http://www.sciencedirect.com)
* [ScienceDomain](http://www.sciencedomain.org)
* [SCIRP](http://www.scirp.org)
* [Springer](http://link.springer.com)
* [Taylor & Francis Online](http://www.tandfonline.com)
* [The Collection of Computer Science Bibliographies](https://liinwww.ira.uka.de/bibliography/index.html) - The CCSB is a collection of bibliographies of scientific literature in computer science from various sources, covering most aspects of computer science.
* [The Open Syllabus Project](http://opensyllabusproject.org/)
* [Wiley](http://eu.wiley.com)
* [World Digital Library](http://www.wdl.org)
* [World Science](http://worldwidescience.org)
* [Zetoc](http://zetoc.jisc.ac.uk)


## [↑](#-table-of-contents) Geospatial Research and Mapping Tools

* [Apify's Google Maps Scraper](https://apify.com/compass/crawler-google-places)
* [ArcGIS](https://livingatlas.arcgis.com/en/browse/)
* [Atlasify](http://www.atlasify.com)
* [Baidu Maps](https://map.baidu.com/)
* [Batchgeo](http://batchgeo.com)
* [Bing Maps](http://www.bing.com/maps)
* [CartoDB](https://cartodb.com)
* [Colorbrewer](http://colorbrewer2.org)
* [CrowdMap](https://crowdmap.com)
* [CTLRQ Address Lookup](https://ctrlq.org/maps/address)
* [Descartes Labs](https://maps.descarteslabs.com/)
* [digiKam](https://www.digikam.org/)
* [Dominoc925](https://dominoc925-pages.appspot.com/mapplets/cs_mgrs.html)
* [DualMaps](https://www.mapchannels.com/dualmaps7/map.htm)
* [Esri](http://www.esri.com)
* [Flash Earth](http://www.flashearth.com)
* [GeoGig](http://geogig.org)
* [GeoNames](http://www.geonames.org)
* [Google Earth Pro](https://www.google.com/intl/en/earth/versions/#earth-pro)
* [Google Earth](http://www.google.com/earth)
* [Google Maps](https://www.google.com/maps)
* [Google My Maps](https://www.google.com/maps/about/mymaps)
* [GPSVisualizer](http://www.gpsvisualizer.com)
* [GrassGIS](http://grass.osgeo.org)
* [Here](http://here.com)
* [Hyperlapse](https://github.com/TeehanLax/Hyperlapse.js)
* [Inspire Geoportal](http://inspire-geoportal.ec.europa.eu)
* [Instant Google Street View](http://www.instantstreetview.com)
* [InstantAtlas](http://www.instantatlas.com)
* [KartaView](https://kartaview.org/map/)
* [Kartograph](http://kartograph.org)
* [Leaflet](http://leafletjs.com)
* [Liveuamap](https://liveuamap.com/)
* [Map Maker](https://maps.co)
* [MapAList](http://mapalist.com)
* [MapBox](https://www.mapbox.com)
* [Mapchart.net](https://mapchart.net)
* [MapChecking](https://www.mapchecking.com/)
* [Maperitive](http://maperitive.net)
* [MapHub](https://maphub.net)
* [Mapillary](https://www.mapillary.com/app/)
* [MapJam](http://mapjam.com)
* [Mapline](https://mapline.com)
* [Mapquest](https://www.mapquest.com)
* [Maxar](https://discover.digitalglobe.com/)
* [Modest Maps](http://modestmaps.com)
* [NGA GEOINT](https://github.com/ngageoint)
* [Open Street Map](http://www.openstreetmap.org)
* [OpenLayers](http://openlayers.org)
* [Perry Castaneda Library](https://www.lib.utexas.edu/maps)
* [Pic2Map](https://www.pic2map.com/)
* [Polymaps](http://polymaps.org)
* [QGIS](http://qgis.org)
* [QuickMaps](https://chrome.google.com/webstore/detail/quick-maps/bgbojmobaekecckmomemopckmeipecij)
* [SAS Planet](http://www.sasgis.org/sasplaneta/)  - Software used to view, download and stitch satellite images.
* [Satellites Pro](https://satellites.pro/)
* [SatIntel](https://github.com/ANG13T/SatIntel)
* [Scribble Maps](http://scribblemaps.com)
* [Sentinel Hub](https://www.sentinel-hub.com/explore/sentinelplayground/)
* [SOAR](https://soar.earth/)
* [StoryMaps](http://storymaps.arcgis.com/en)
* [SunCalc](https://www.suncalc.org/)
* [Tableau](http://www.tableausoftware.com)
* [USGS (EarthExplorer)](https://earthexplorer.usgs.gov/)
* [ViaMichelin](http://www.viamichelin.com)
* [View in Google Earth](http://www.mgmaps.com/kml/#view)
* [Wikimapia](http://wikimapia.org)
* [Windy](https://www.windy.com/)
* [WorldMap Harvard](http://worldmap.harvard.edu)
* [Worldwide OSINT Tools Map](https://cipher387.github.io/osintmap/) - A global map of databases and OSINT sources by applicable location.
* [Yahoo Maps](https://maps.yahoo.com)
* [Zeemaps](https://www.zeemaps.com)
* [Zoom Earth](https://zoom.earth/)

## [↑](#-table-of-contents) News

* [1st Headlines](http://www.1stheadlines.com)
* [ABYZNewsLinks](http://www.abyznewslinks.com)
* [Agence France-Presse (AFP)](http://www.afp.com)
* [AllYouCanRead](http://www.allyoucanread.com)
* [AP](http://hosted.ap.org)
* [BBC News](http://www.bbc.co.uk/news)
* [Bing News](http://www.bing.com/news)
* [CNN](http://edition.cnn.com)
* [Cyber Alert](http://www.cyberalert.com)
* [DailyEarth](http://dailyearth.com)
* [DPA International](http://www.dpa-international.com)
* [Euronews](http://www.euronews.com)
* [Factiva](http://www.dowjones.com/factiva)
* [France24](http://www.france24.com)
* [Google News](https://news.google.com)
* [Google News Print Archive](http://news.google.com/newspapers)
* [HeadlineSpot](http://www.headlinespot.com)
* [Itar-Tass](http://www.itar-tass.com)
* [List of Newspapers.com](http://www.listofnewspapers.com)
* [MagPortal](http://www.magportal.com)
* [News Map](http://newsmap.jp)
* [News Now](http://www.newsnow.co.uk)
* [Newseum - Today Front Pages](http://www.newseum.org/todaysfrontpages)
* [Newslink](http://www.newslink.org)
* [NewsLookup](http://www.newslookup.com)
* [Newspaper Map](http://newspapermap.com)
* [Newspaperindex](http://www.newspaperindex.com)
* [Newspapers.com](http://www.newspapers.com)
* [NewsWhip](http://www.newswhip.com)
* [OnlineNewspapers](http://www.onlinenewspapers.com)
* [Paperboy](http://www.thepaperboy.com)
* [PR Newswire](http://www.prnewswire.com)
* [Press Reader](http://www.pressreader.com)
* [Reuters](http://www.reuters.com)
* [Silobreaker](http://www.silobreaker.com)
* [Topix](http://www.topix.com)
* [WorldNews](http://wn.com)
* [World-Newspapers](http://www.world-newspapers.com)
* [Yahoo News](http://news.yahoo.com)

## [↑](#-table-of-contents) News Digest and Discovery Tools

* [Flipboard](https://flipboard.com)
* [Hubii](http://hubii.com)
* [Inshorts](https://www.inshorts.com)
* [News360](https://news360.com)
* [NewsBot](https://getnewsbot.com)
* [Newsinshorts](http://newsinshorts.com)
* [Nod](http://get-nod.com)
* [Reeder](http://reederapp.com)
* [Spike](http://www.newswhip.com)
* [Storyful](http://storyful.com)
* [Superdesk](https://www.superdesk.org)
* [Trooclick](http://trooclick.com)

## [↑](#-table-of-contents) Fact Checking

* [About Urban Legends](http://urbanlegends.about.com)
* [Captin Fact](https://captainfact.io/)
* [Check](https://meedan.com/check)
* [Emergent](http://www.emergent.info)
* [Fact Check](http://www.factcheck.org)
* [Full Fact](https://fullfact.org)
* [Snopes](http://www.snopes.com) - The definitive Internet reference source for urban legends, folklore, myths, rumors, and misinformation.
* [Verification Handbook](http://verificationhandbook.com)
* [Verification Junkie](http://verificationjunkie.com)

## [↑](#-table-of-contents) Data and Statistics

* [AGOA Data Center](http://agoa.info)
* [AidData](http://aiddata.org)
* [AWS Public Datasets](http://aws.amazon.com/datasets)
* [Bank for International Settlements Statistics](http://www.bis.org/statistics/index.htm)
* [Berkely Library: Data Lab](http://www.lib.berkeley.edu/libraries/data-lab)
* [BP Statistical Review of World Energy](http://www.bp.com/en/global/corporate/energy-economics/statistical-review-of-world-energy.html)
* [Center for International Earth Science Information Network](http://www.ciesin.org)
* [CEPII](http://www.cepii.fr/CEPII/en/welcome.asp)
* [CIA World Factbook](https://www.cia.gov/library/publications/the-world-factbook)
* [Data.gov.uk](https://data.gov.uk)
* [DBPedia](http://wiki.dbpedia.org)
* [European Union Open Data Portal](http://open-data.europa.eu/en/data)
* [Eurostat](http://ec.europa.eu/eurostat)
* [Freebase](https://developers.google.com/freebase)
* [Gapminder World](http://www.gapminder.org/data)
* [globalEDGE Database of International Business Statistics](http://globaledge.msu.edu/tools-and-data/dibs)
* [Google Finance](https://www.google.com/finance)
* [Google Public Data Explorer](http://www.google.com/publicdata/directory)
* [Government of Canada Open Data](http://open.canada.ca/en)
* [HIS Piers](https://www.ihs.com/products/piers.html)
* [Human Development Reports](http://hdr.undp.org/en/global-reports)
* [ILO World Employment and Social Outlook Trends](http://www.ilo.org/global/research/global-reports/weso/2015/lang--en/index.htm)
* [ILOSTAT](http://www.ilo.org/ilostat/faces/oracle/webcenter/portalapp/pagehierarchy/Page137.jspx?_afrLoop=443508925711569&clean=true#%40%3F_afrLoop%3D443508925711569%26clean%3Dtrue%26_adf.ctrl-state%3Dl4dwldaf3_9)
* [IMF World Economic Outlook Database](http://www.imf.org/external/ns/cs.aspx?id=28)
* [Index Mundi](http://www.indexmundi.com)
* [International Energy Agency Statistics](http://www.iea.org/statistics)
* [International Labour Comparisons](http://www.bls.gov/fls/chartbook.htm)
* [International Trade Center](http://www.intracen.org/ByCountry.aspx)
* [Junar](http://junar.com)
* [Knoema](https://knoema.com)
* [LandMatrix](http://landmatrix.org)
* [Latinobarometro](http://www.latinobarometro.org)
* [Library, University of Michigan: Statistics and Datasets](http://www.lib.umich.edu/browse/Statistics%20and%20Data%20Sets)
* [Nation Master](http://www.nationmaster.com/statistics)
* [OECD Aid Database](http://www.oecd.org/dac/stats/data.htm)
* [OECD Data](https://data.oecd.org)
* [OECD Factbook](http://www.oecd-ilibrary.org/economics/oecd-factbook_18147364)
* [Open Data Network](http://www.opendatanetwork.com)
* [Paul Hensel’s General Informational Data Page](http://www.paulhensel.org/dataintl.html)
* [Penn World Table](http://www.rug.nl/research/ggdc/data/pwt/pwt-8.1)
* [Pew Research Center](http://www.pewinternet.org/datasets)
* [Population Reference Bureau Data Finder](http://www.prb.org/DataFinder.aspx)
* [PRS Risk Indicators](http://www.prsgroup.com)
* [SESRIC Basic Social and Economic Indicators](http://www.sesric.org/baseind.php)
* [SESRIC Databases](http://www.sesric.org/databases-index.php)
* [Statista](http://www.statista.com)
* [The Atlas of Economic Complexity](http://atlas.cid.harvard.edu)
* [The Data and Story Library](http://lib.stat.cmu.edu/DASL)
* [Trading Economics](http://www.tradingeconomics.com)
* [Transparency.org Corruption Perception Index](http://www.transparency.org/cpi2015)
* [UN COMTRADE Database](http://comtrade.un.org)
* [UN Data](http://data.un.org)
* [UNCTAD Country Fact Sheets](http://unctad.org/en/Pages/DIAE/World%20Investment%20Report/Country-Fact-Sheets.aspx)
* [UNCTAD Investment Country Profiles](http://unctad.org/en/Pages/Publications/Investment-country-profiles.aspx)
* [UNCTAD STAT](http://unctadstat.unctad.org)
* [UNDPs Human Development Index](http://hdr.undp.org/en/data)
* [UNECE](http://w3.unece.org/PXWeb/en)
* [UNESCO Institute for Statistics](http://uis.unesco.org)
* [UNIDO Statistical Databases](http://www.unido.org/resources/statistics/statistical-databases.html)
* [UNStats Social Indicators](http://unstats.un.org/unsd/demographic/products/socind)
* [Upsala Conflict Data Program](http://www.pcr.uu.se/research/UCDP)
* [US Data and Statistics](https://www.usa.gov/statistics)
* [Vizala](https://vizala.com)
* [WHO Data](http://www.who.int/gho/en)
* [World Bank Data](http://data.worldbank.org)
* [World Bank Data](http://datatopics.worldbank.org/consumption/home)
* [World Bank Doing Business](http://www.doingbusiness.org)
* [World Bank Enterprise Surveys](http://www.enterprisesurveys.org)
* [World Bank Investing Across Borders](http://iab.worldbank.org)
* [World Integrated Trade Solution](http://wits.worldbank.org)
* [WTO Statistics](https://www.wto.org/english/res_e/statis_e/statis_e.htm)
* [Zanran](http://zanran.com)

## [↑](#-table-of-contents) Web Monitoring

* [Alltop](http://alltop.com)
* [Awasu](http://www.awasu.com)
* [Bridge.Leslibres](https://bridge.leslibres.org)
* [Bridge.Suumitsu](https://bridge.suumitsu.eu)
* [ChangeDetection.io](https://changedetection.io)
* [ChangeDetection.io Open Source](https://github.com/dgtlmoon/changedetection.io)
* [ChangeDetect](http://www.changedetect.com)
* [ChangeDetection](http://www.changedetection.com)
* [Deltafeed](http://bitreading.com/deltafeed)
* [DiggReader](http://digg.com/login?next=%2Freader)
* [FeedBooster](http://www.qsensei.com)
* [Feederator](http://www.feederator.org)
* [Feed Exileed](http://feed.exileed.com)
* [Feed Filter Maker](http://feed.janicek.co)
* [Feedly](http://www.feedly.com)
* [FeedReader](http://www.feedreader.com)
* [FetchRSS](http://fetchrss.com)
* [Flipboard](http://flipboard.com)
* [FollowThatPage](http://www.followthatpage.com)
* [Google Alerts](http://www.google.com/alerts) - A content change detection and notification service.
* [InfoMinder](http://www.infominder.com/webminder)
* [Mention](https://en.mention.com)
* [Netvibes](http://www.netvibes.com)
* [Newsblur](http://newsblur.com)
* [OmeaReader](http://www.jetbrains.com/omea/reader)
* [OnWebChange](http://onwebchange.com)
* [Reeder](http://reederapp.com)
* [RSS Bridge](https://bridge.suumitsu.eu)
* [RSS Feed Reader](https://chrome.google.com/webstore/detail/rss-feed-reader/pnjaodmkngahhkoihejjehlcdlnohgmp)
* [RSS Micro](http://www.rssmicro.com)
* [RSS Search Engine](http://ctrlq.org/rss)
* [RSS Search Hub](http://www.rsssearchhub.com)
* [RSSOwl](http://www.rssowl.org)
* [Selfoss](http://selfoss.aditu.de)
* [Silobreaker](http://www.silobreaker.com)
* [Talkwalker](http://www.talkwalker.com)
* [The Old Reader](http://theoldreader.com)
* [versionista](http://versionista.com)
* [visualping](https://visualping.io)
* [WebReader](http://www.getwebreader.com)
* [WebSite Watcher](http://www.aignes.com/index.htm)
* [Winds](http://winds.getstream.io)

## [↑](#-table-of-contents) Browsers

* [Atom](https://browser.ru/)
* [Brave](https://brave.com) - is an open-source web browser that allows you to completely block ads and website trackers.
* [CentBrowser](http://www.centbrowser.com)
* [Chrome](https://www.google.com/chrome)
* [Comodo Dragon](https://www.comodo.com/home/browsers-toolbars/browser.php)
* [Coowon](http://coowon.com)
* [Edge](https://www.microsoft.com/en-us/windows/microsoft-edge/microsoft-edge)
* [Firefox](https://www.mozilla.org)
* [Maxthon](http://www.maxthon.com)
* [Opera](http://www.opera.com)
* [Safari](http://www.apple.com/safari)
* [Sleipnir](http://www.fenrir-inc.com/jp/sleipnir)
* [Slimjet](http://www.slimjet.com)
* [SRWare Iron](http://www.srware.net/en/software_srware_iron.php)
* [Tor Browser](https://www.torproject.org/projects/torbrowser.html.en) - Tor is a free software that prevents people from learning your location or browsing habits by letting you communicate anonymously on the Internet.
* [Torch](http://www.torchbrowser.com)
* [UCBrowser](http://www.ucweb.com)
* [Vivaldi](https://vivaldi.com)
* [Yandex Browser](https://browser.yandex.com/desktop/main)

## [↑](#-table-of-contents) Offline Browsing

* [A1 Website Download](http://www.microsystools.com/products/website-download) - Download entire websites to disk.
* [Cyotek WebCopy](http://www.cyotek.com/cyotek-webcopy) - is a free tool for automatically downloading the content of a website onto your local device.
* [gmapcatcher](https://github.com/heldersepu/gmapcatcher)
* [Hooey webprint](http://www.hooeeywebprint.com.s3-website-us-east-1.amazonaws.com/download.html)
* [HTTrack](http://www.httrack.com) - Allows you to download a World Wide Web site from the Internet to a local directory, building recursively all directories, getting HTML, images, and other files from the server to your computer.
* [Offliberty](http://offliberty.com) -  is a website that lets you access any online content without a permanent Internet connection.
* [Resolver](https://metaproductsrevolver.com)
* [SiteSucker](http://ricks-apps.com/osx/sitesucker/index.html)
* [WebAssistant](http://www.proxy-offline-browser.com/download.html)
* [Website Ripper Copier](http://www.tensons.com/products/websiterippercopier)

## [↑](#-table-of-contents) VPN Services

* [OffShore.cat](https://offshore.cat/vpn) - list of vpns for the privacy conscious 
* [TorrentFreak List of VPNs](https://torrentfreak.com/vpn-services-anonymous-review-2017-170304/)
* [VPN Comparison by That One Privacy Guy](https://thatoneprivacysite.net/) - is a summary list of top best VPN services.

## [↑](#-table-of-contents) Infographics and Data Visualization

* [Aeon](http://www.aeontimeline.com)
* [Arbor.js](http://arborjs.org)
* [Beaker](http://beakernotebook.com)
* [Befunky](https://www.befunky.com)
* [Bizint](http://www.bizint.com)
* [Cacoo](https://cacoo.com)
* [Canva](https://www.canva.com)
* [Chart.js](http://www.chartjs.org) - a javascript library that allows you to create charts easly
* [chartblocks](http://www.chartblocks.com)
* [Circos](http://circos.ca)
* [creately](http://creately.com)
* [Crossfilter](http://square.github.io/crossfilter)
* [csvkit](https://github.com/wireservice/csvkit)
* [D3js](https://d3js.org) - is a powerful data visualization javascript library.
* [Data Visualization Catalogue](http://datavizcatalogue.com)
* [Datawrapper](https://datawrapper.de)
* [Dropmark](http://www.dropmark.com)
* [dygraphs](http://dygraphs.com)
* [easely](http://www.easel.ly)
* [Exhibit](http://www.simile-widgets.org/exhibit)
* [Flot](http://www.flotcharts.org)
* [FusionCharts](http://www.fusioncharts.com)
* [Google Developers: Charts](https://developers.google.com/chart)
* [GraphX](http://spark.apache.org/graphx)
* [Highcharts](http://www.highcharts.com)
* [Hohli](http://charts.hohli.com)
* [Infogr.am](https://infogr.am)
* [Inkscape](https://inkscape.org)
* [Java Infovis Toolkit](http://philogb.github.io/jit)
* [JpGraph](http://jpgraph.net)
* [jqPlot](http://www.jqplot.com) - A Versatile and Expandable jQuery Plotting Plugin.
* [Knoema](https://knoema.com)
* [Leaflet](http://leafletjs.com) - an open-source JavaScript library for mobile-friendly interactive maps.
* [Linkuroius](http://linkurio.us)
* [Listify](http://listify.okfnlabs.org) - Turn a Google spreadsheet into a beautiful, searchable listing in seconds.
* [LocalFocus](https://www.localfocus.nl)
* [Lucidchart](https://www.lucidchart.com) - the intelligent diagramming application that brings teams together to make better decisions and build the future.
* [Mapline](https://mapline.com)
* [Nodebox](https://www.nodebox.net) - a family of tools gives you the leverage to create generative design the way you want.
* [Observable](https://observablehq.com/) - a modern way to create powerful, performant, polyglot data apps built on open source.
* [OpenLayers](http://openlayers.org) - A high-performance, feature-packed library for all your mapping needs.
* [Palladio](http://hdlab.stanford.edu/palladio) - Visualize complex historical data with ease.
* [Perspective](https://github.com/finos/perspective) - interactive data visualization and analytics component, well-suited for large, streaming and static datasets.
* [Piktochart](https://piktochart.com)
* [Pixxa](http://www.pixxa.com)
* [Plotly](https://plot.ly)
* [Preceden](https://www.preceden.com/) - Create a Visual Timeline About Any Topic
* [QlikView](https://www.visualintelligence.co.nz/qlikview)
* [Quadrigram](http://www.quadrigram.com)
* [Raphael](http://dmitrybaranovskiy.github.io/raphael)
* [RAW](http://raw.densitydesign.org)
* [Shanti Interactive](http://www.viseyes.org)
* [Snappa](https://snappa.io)
* [StoryMap](https://storymap.knightlab.com)
* [Tableau Public](https://public.tableau.com)
* [Tableau](http://www.tableau.com)
* [Tagul](https://tagul.com)
* [Textures.js](https://riccardoscalco.github.io/textures)
* [Tik-tok](https://datanews.github.io/tik-tok)
* [Tiki-toki](http://www.tiki-toki.com)
* [Timeflow](https://github.com/FlowingMedia/TimeFlow/wiki)
* [Timeline](http://timeline.knightlab.com)
* [Timeline](http://www.simile-widgets.org/timeline)
* [Timetoast](http://www.timetoast.com)
* [Venngage](https://venngage.com)
* [Vis.js](http://visjs.org)
* [Visme](http://www.visme.co)
* [Visualize Free](http://visualizefree.com)
* [Visualize.me](http://vizualize.me)
* [visually](http://create.visual.ly)
* [Vortex](http://www.dotmatics.com/products/vortex)
* [ZingChart](http://www.zingchart.com)

## [↑](#-table-of-contents) Social Network Analysis

* [Gephi](https://gephi.org) - is an open-source graph and network visualization software.
* [ORA](http://www.casos.cs.cmu.edu/projects/ora/software.php)
* [Sentinel Visualizer](http://www.fmsasg.com)
* [Visual Investigative Scenarios](https://vis.occrp.org)
* [Wynyard Group](https://wynyardgroup.com)

## [↑](#-table-of-contents) Privacy and Encryption Tools

* [Abine](https://www.abine.com)
* [Adium](https://adium.im)
* [boxcryptor](https://www.boxcryptor.com)
* [CCleaner](https://www.piriform.com/ccleaner)
* [Chatsecure](https://chatsecure.org)
* [Disconnect](https://disconnect.me)
* [Do Not Track](http://donottrack.us)
* [Duck Duck Go Search Engine](https://duckduckgo.com)
* [EncSF MP](http://encfsmp.sourceforge.net)
* [Epic Privacy Browser](https://www.epicbrowser.com)
* [Eraser](http://eraser.heidi.ie)
* [FileVault](https://support.apple.com/en-us/HT204837)
* [Ghostery](https://www.ghostery.com)
* [GNU PG](https://www.gnupg.org/download/index.html)
* [GPG Tools](https://gpgtools.org)
* [Guardian Project](https://guardianproject.info)
* [Guerrilla Mail](https://www.guerrillamail.com)
* [Hotspot Shield](https://www.hotspotshield.com)
* [HTTPs Everywhere](https://www.eff.org/https-everywhere/)
* [I2P](https://geti2p.net)
* [justdeleteme](http://justdelete.me)
* [KeePass Password Safe](http://keepass.info) - is a free and open-source password manager that uses the most secure encryption algorithms to safegard your passwords.
* [Lastpass](https://lastpass.com)
* [Lockbin](https://lockbin.com)
* [Mailbox](https://mailbox.org)
* [Mailvelope](https://www.mailvelope.com)
* [Master Password](http://masterpasswordapp.com)
* [Nixory](http://nixory.sourceforge.net)
* [NoScript](https://noscript.net)
* [Open DNS](https://www.opendns.com/home-internet-security)
* [Open PGP](https://www.enigmail.net/index.php/en)
* [Oscobo Search Engine](https://oscobo.co.uk)
* [OSSEC](https://ossec.github.io)
* [Panopticlick](https://panopticlick.eff.org)
* [Peerblock](http://forums.peerblock.com)
* [Pidgin](https://www.pidgin.im)
* [Pixel Block](https://chrome.google.com/webstore/detail/pixelblock/jmpmfcjnflbcoidlgapblgpgbilinlem)
* [Privacy Badger](https://www.eff.org/privacybadger)
* [Privazer](http://privazer.com)
* [Proton Mail](https://protonmail.com)
* [Qubes](https://www.qubes-os.org) - a security-focused desktop operating system that aims to provide security through isolation.
* [Script Safe](https://chrome.google.com/webstore/detail/scriptsafe/oiigbmnaadbkfbmpbfijlflahbdbdgdf?hl=en)
* [Securesha](https://securesha.re)
* [Silent circle](https://www.silentcircle.com)
* [Snort](https://www.snort.org)
* [Spideroak](https://spideroak.com)
* [Steganography Online Codec](https://www.pelock.com/products/steganography-online-codec)
* [Surveilliance Self Defense](https://ssd.eff.org)
* [Tails](https://tails.boum.org)
* [Thunderbird](https://www.mozilla.org/en-US/thunderbird)
* [Tor Project](https://www.torproject.org)
* [uBlock Origin](https://github.com/gorhill/uBlock)
* [Wickr](https://wickr.com)
* [WOT](https://www.mywot.com)
* [ZMail](http://zmail.sourceforge.net)

## [↑](#-table-of-contents) DNS
* [Amass](https://github.com/owasp-amass/amass) - The amass tool searches Internet data sources, performs brute force subdomain enumeration, searches web archives, and uses machine learning to generate additional subdomain name guesses. DNS name resolution is performed across many public servers so the authoritative server will see the traffic coming from different locations. Written in Go.
* [Columbus Project](https://columbus.elmasy.com/) - Columbus Project is an advanced subdomain discovery service with fast, powerful and easy to use API.
* [findsubdomains](https://findsubdomains.com/) - Automatically scans different sources to collect as many subdomains as can. Validate all the data through various tools and services to provide correct results without waiting.
* [Merklemap](https://www.merklemap.com/) - Discover and enumerate all subdomains associated with a website, including those not publicly advertised. Works by ingesting certificate transparency logs.

## [↑](#-table-of-contents) Maritime

* [VesselFinder](https://www.vesselfinder.com) - a FREE AIS vessel tracking web site. VesselFinder displays real time ship positions and marine traffic detected by global AIS network.

## [↑](#-table-of-contents) Other Tools

* [Barcode Reader](http://online-barcode-reader.inliteresearch.com) - Decode barcodes in C#, VB, Java, C\C++, Delphi, PHP and other languages.
* [Belati](https://github.com/aancw/Belati) - Belati - The Traditional Swiss Army Knife For OSINT. Belati is tool for Collecting Public Data & Public Document from Website and other service for OSINT purpose.
* [BeVigil-CLI](https://github.com/Bevigil/BeVigil-OSINT-CLI) - A unified command line interface and python library for using BeVigil OSINT API to search for assets such as subdomains, URLs, applications indexed from mobile applications.
* [CantHide](https://canthide.me) - CantHide finds previous locations by looking at a given social media account.
* [CrowdSec](https://github.com/crowdsecurity/crowdsec) - An open source, free, and collaborative IPS/IDS software written in Go, able to analyze visitor behavior & provide an adapted response to all kinds of attacks.
* [Datasploit](https://github.com/DataSploit/datasploit) - Tool to perform various OSINT techniques on usernames, emails addresses, and domains.
* [Discoshell](https://github.com/foozzi/discoshell) - A simple discovery script that uses popular tools like subfinder, amass, puredns, alterx, massdns and others
* [DNSservices](https://github.com/0x4f53/dnsservices) - Discover embedded services in a domain's DNS records within seconds
* [DuckDuckGo URL scraper](https://github.com/its0x08/duckduckgo) - A simple DuckDuckGo URL scraper. 
* [eScraper](https://escraper.emagicone.com/) - Grab product descriptions, prices, image
* [FOCA](https://github.com/ElevenPaths/FOCA) - Tool to find metadata and hidden information in the documents.
* [Glit](https://github.com/shadawck/glit) -  Retrieve all mails of users related to a git repository, a git user or a git organization.
* [Greynoise](https://greynoise.io/) - "Anti-Threat Intelligence" Greynoise characterizes the background noise of the internet, so the user can focus on what is actually important.  
* [Hunchly](https://www.hunch.ly/) - Hunchly is a web capture tool designed specifically for online investigations.
* [Intrigue Core](https://github.com/intrigueio/intrigue-core) - Framework for attack surface discovery.
* [LinkScope Client](https://github.com/AccentuSoft/LinkScope_Client) - LinkScope Client Github repository.
* [LinkScope](https://accentusoft.com/) - LinkScope is an open source intelligence (OSINT) graphical link analysis tool and automation platform for gathering and connecting information for investigative tasks.
* [Maltego](https://www.maltego.com/) - Maltego is an open source intelligence (OSINT) and graphical link analysis tool for gathering and connecting information for investigative tasks.
* [OpenRefine](https://github.com/OpenRefine) - Free & open source power tool for working with messy data and improving it.
* [Orbit](https://github.com/s0md3v/Orbit) - Draws relationships between crypto wallets with recursive crawling of transaction history.
* [OSINT Framework](http://osintframework.com/) - Web based framework for OSINT.
* [OSINT-Tool](https://www.osint-tool.com/) - A browser extension that gives you access to a suite of OSINT utilities (Dehashed, Epieos, Domaintools, Exif data, Reverse image search, etc) directly on any webpage you visit.
* [OSINT.SH](https://osint.sh/) - Information Gathering Toolset.
* [OsintStalker](https://github.com/milo2012/osintstalker) - Python script for Facebook and geolocation OSINT.
* [Outwit](http://www.outwit.com) - Find, grab and organize all kinds of data and media from online sources.
* [Photon](https://github.com/s0md3v/Photon) - Crawler designed for OSINT
* [Pown Recon](https://github.com/pownjs/pown-recon) - Target reconnaissance framework powered by graph theory.
* [pygreynoise](https://github.com/GreyNoise-Intelligence/pygreynoise) - Greynoise Python Library
* [QuickCode](https://quickcode.io/) - Python and R data analysis environment.
* [SecApps Recon](https://secapps.com/market/recon) - Information gathering and target reconnaissance tool and UI.
* [SerpApi](https://serpapi.com/) - Scrapes Google search and 25+ search engines with ease and retruns a raw JSON. Supports [10 API wrappers](https://serpapi.com/integrations).
* [SerpScan](https://github.com/Alaa-abdulridha/SerpScan) - Powerful PHP script designed to allow you to leverage the power of dorking straight from the comfort of your command line. Analyzes data from Google, Bing, Yahoo, Yandex, and Badiu.
* [Sintelix](https://sintelix.com/) - Sintelix is an open source intelligence (OSINT) and graphical link analysis tool for gathering and connecting information for investigative tasks.
* [sn0int](https://github.com/kpcyrd/sn0int) - Semi-automatic OSINT framework and package manager.
* [SpiderFoot](https://github.com/smicallef/spiderfoot) - SpiderFoot Github repository.
* [SpiderFoot](https://www.spiderfoot.net) - SpiderFoot is an open source intelligence (OSINT) automation platform with over 200 modules for threat intelligence, attack surface monitoring, security assessments and asset discovery.
* [SpiderSuite](https://github.com/3nock/SpiderSuite) - An advance, cross-platform, GUI web security crawler.
* [Sub3 Suite](https://github.com/3nock/sub3suite) - A research-grade suite of tools for intelligence gathering & target mapping with both active and passive(100+ modules) intelligence gathering capabilities.
* [The Harvester](https://github.com/laramies/theHarvester) - Gather emails, subdomains, hosts, employee names, open ports and banners from different public sources like search engines, PGP key servers and SHODAN computer database.
* [Zen](https://github.com/s0md3v/Zen) - Find email addresses of Github users urls and other data effortlessly


## [↑](#-table-of-contents) Threat Intelligence

* [GitGuardian - Public GitHub Monitoring](https://www.gitguardian.com/monitor-public-github-for-secrets) - Monitor public GitHub repositories in real time. Detect secrets and sensitive information to prevent hackers from using GitHub as a backdoor to your business.
* [OnionScan](https://github.com/s-rah/onionscan) - Free and open source tool for investigating the Dark Web. Its main goal is to help researchers and investigators monitor and track Dark Web sites.
* [onion-lookup](https://onion.ail-project.org/) - Free online service and API for checking the existence of Tor hidden services (.onion address) and retrieving their associated metadata. onion-lookup relies on an private AIL instance to obtain the metadata.
* [OTX AlienVault](https://otx.alienvault.com/) - Open Threat Exchange is the neighborhood watch of the global intelligence community. It enables private companies, independent security researchers, and government agencies to openly collaborate and share the latest information about emerging threats, attack methods, and malicious actors, promoting greater security across the entire community.
* [REScure Threat Intel Feed](https://rescure.fruxlabs.com/) - REScure is an independent threat intelligence project which we undertook to enhance our understanding of distributed systems, their integration, the nature of threat intelligence and how to efficiently collect, store, consume, distribute it.

## [↑](#-table-of-contents) OSINT Videos

* [Amazing mind reader reveals his ‘gift’](https://www.youtube.com/watch?v=F7pYHN9iC9I)
* [Bendobrown](https://www.youtube.com/c/Bendobrown)
* [Data to Go](https://www.youtube.com/watch?v=_YRs28yBYuI)
* [SANS OSINT Summit 2021 (Playlist)](https://www.youtube.com/playlist?list=PLs4eo9Tja8bj3jJvv42LxOkhc2_ylpS9y)
* [See how easily freaks can take over your life](https://www.youtube.com/watch?v=Rn4Rupla11M)

## [↑](#-table-of-contents) OSINT Blogs

* [Bellingcat](https://www.bellingcat.com/)
* [NixIntel](https://nixintel.info/)
* [Social Links](https://blog.sociallinks.io/)
* [eInvestigator](https://www.einvestigator.com/)
* [OSINT Techniques](https://www.osinttechniques.com/blog)
* [IntelTechniques](https://inteltechniques.com/)
* [OSINTCurious](https://osintcurio.us/)
* [Sector035](https://sector035.nl/)
* [Skopenow](https://www.skopenow.com/news)
* [Sleuth For The Truth](http://sleuthforthetruth.com/)
* [OSINT Ambition Publication](https://publication.osintambition.org/)
* [OSINT Team](https://www.osintteam.com/)

## [↑](#-table-of-contents) Other Resources

* [Bellingcat's Online Investigation Toolkit](http://bit.ly/bcattools)
* [Bellingcat Online Researcher Survey: Tool Wishes](https://docs.google.com/spreadsheets/d/1vNJRMrlwI7i06diBJtRJWrvt4YuPOqlbUV5o00P_YmE/edit#gid=1378107220) — Wishlist of OSINT tools from a February Bellingcat survey. 
* [OSINT Dojo](https://www.osintdojo.com/resources/)
* [OSINT Belarus](https://t.me/s/osintby)
* [Free OSINT Training](https://freetraining.dfirdiva.com/free-osint-training)
* [These Are the Tools Open Source Researchers Say They Need](https://www.bellingcat.com/resources/2022/08/12/these-are-the-tools-open-source-researchers-say-they-need/) — Results of a survey Bellingcat conducted in February 2022.
* [OSINT Updates - a free weekly newsletter for OSINTers](https://osintupdates.com/)

## [↑](#-table-of-contents) Related Awesome Lists

* [awesome-anti-forensic](https://github.com/remiflavien1/awesome-anti-forensic) by @remiflavien1
* [awesome-ctf](https://github.com/apsdehal/awesome-ctf) by @apsdehal
* [awesome-forensics](https://github.com/Cugu/awesome-forensics) by @cugu
* [awesome-hacking](https://github.com/carpedm20/awesome-hacking) by @carpedm20
* [awesome-honeypots](https://github.com/paralax/awesome-honeypots) by @paralax
* [awesome-incident-response](https://github.com/meirwah/awesome-incident-response) by @meirwah
* [awesome-lockpicking](https://github.com/fabacab/awesome-lockpicking) by @fabacab
* [awesome-malware-analysis](https://github.com/rshipp/awesome-malware-analysis) by @rshipp
* [awesome-pentest](https://github.com/enaqx/awesome-pentest) by @enaqx
* [awesome-privacy](https://github.com/Lissy93/awesome-privacy/) by @Lissy93
* [awesome-sec-talks](https://github.com/PaulSec/awesome-sec-talks) by @PaulSec
* [awesome-security](https://github.com/sbilly/awesome-security) by @sbilly
* [awesome-threat-intelligence](https://github.com/hslatman/awesome-threat-intelligence) by @hslatman
* [infosec reference](https://github.com/rmusser01/Infosec_Reference) by @rmusser01
* [personal-security-checklist](https://github.com/Lissy93/personal-security-checklist) by @Lissy93
* [SecLists](https://github.com/danielmiessler/SecLists) by @danielmiessler
* [security-list](https://github.com/zbetcheckin/Security_list) by @zbetcheckin

## License

![cc license](http://i.creativecommons.org/l/by-sa/4.0/88x31.png)

This work is licensed under a [Creative Commons Attribution-ShareAlike 4.0 International](http://creativecommons.org/licenses/by-sa/4.0/) license.
